TurboVB V3.1 - A Tool for VB6 - VB at Turbo Speed!

TurboVB - VB at Turbo Speed

TurboVB V3.1 is an integrated feature packed add-in tool for Microsoft® Visual Basic™ 6; a major enhancement to the VB IDE. It provides forty add-ins plus many other functions that provide great productivity gains. It helps to remove some of the repetitive elements in VB programming, this allows you to focus on your more important tasks. The tool is designed to be highly integrated and configurable, to suit your particular requirements.

The hours saved by this VB tool will soon add up to extra days of development time! On how many of your projects have you wished for extra time to fit everything in; TurboVB will give you that time! Once purchased all updates are yours free of charge. TurboVB also comes with free support and a site wide licence as standard, you just can't go wrong!

Among its many features are SQL formatting, procedure building, auto documenting a project, control property defaulting, hot key support, automatically coding new controls , code formatting, easy tab order control, custom error handlers and listing a procedures callers.


Installing TurboVB

Installing TurboVB Installing TurboVB

To install TurboVB extract the TurboVB zip file and register the file 'TurboVB.dll'. You can use the supplied Register.exe tool to make this an easy task. There are detailed instructions in Updating TurboVB.

When you next start VB, TurboVB will display a niggle screen after which it will appear in the add-ins menu and standard toolbar.

The Add-ins Manager

The Add-ins Manager.

When first used TurboVB is set to load with VB at start-up. By using the Add-in Manager the settings can be amended to your preference.

By default the add-ins are added to the VB add-ins menu and the standard toolbar. When you register TurboVB you can select to have the add-ins in their own menu and/or toolbar.

The TurboVB Toolbar

The TurboVB toolbar with all functions available.

When you have registered the tools can be configured in General Options to your requirements.

Uninstalling

To remove TurboVB unregister the TurboVB.DLL file and if it has been registered, the VBZip_Control.ocx file used in Project Backup, and delete the folder. Then delete the Zipdll.dll and Zipit.dll files from windows\system32 and delete the registry entries in HKEY_CURRENT_USER\Software\VB and VBA Program Settings\TurboVB.

File Contents

These are the files supplied with the main download, TurboVB.zip.

TurboVB.dll | - | The main dll, needs to be registered
TurboVB.chm | - | The help file
VBZip_Control.ocx | - | Creates Zip files, used in Project Backup
Zipit.dll | - | Used by VBZip_Control.ocx
Zipdll.dll | - | "
Register.exe | - | Provided to make registering DLLS & OCXs easy
Show Error\VBError.frm | - | Form used by standard error - 'Show Error'
Show Error\VBError.frx | - | "
Events\*.txt | - | Events files used by Control Coder
Templates\*.* | - | Files used by Auto Documentor to define the appearance of the help files
ReadMe.html | - | Simple read me file


Purchasing TurboVB

Purchasing TurboVB Purchasing TurboVB

When you purchase you get the full benefits and productivity gains of TurboVB. All restrictions listed below in limitations are removed.

To remove all limitations from TurboVB you need a Serial No. You will receive the Serial No, as well as all the other details needed, in an email when you purchase the product.

An example of the email you will receive is below.

The first step is to select 'Register TurboVB' in the Add-ins menu. This will display the registration
form.

Enter the items below into the form.

Name: TurboVB Addin Tool
Date: 01/01/2004
Purchase ID: 12345
Serial No: 5678910

then click 'Register'. TurboVB is now registered to you.

In the event of any problems please contact us at support@turbodeveloper.com

You are now entitled to all future updates of TurboVB and you will be added to the TurboVB Mailing List.

Thank You,
Turbo Developer Ltd

Price

The current prices of TurboVB are available on the TurboVB website. The main currencies are shown below.

US Dollars |  | UK Pounds
 | Euros |

Other currencies are supported, for example, Australian and Canadian Dollars. The prices in these currencies are based on that days' rate of exchange.

TurboVB is licenced by the site! Pay just once for ALL your developers! By purchasing you are entitled, for free, to all future versions of TurboVB!

Purchasing With Share It!

We have selected Share It! as our e-commerce provider because Share It! is simple to use and highly secure. If you would like to purchase TurboVB securely on-line go to

Purchase TurboVB

Once payment is received the Serial No. will be emailed to you immediately. If you have already ordered TurboVB and would like to view data relating to your order, or if you have questions about orders, payments, or delivery, please visit the Share It! Customer Care Center.

Share It! employs the highest levels of security available. Their servers support SSL Version 3 and 168-bit Triple DES encryption, and the RSA module and SSL sessions feature 1024-bit encryption.

Share It! also accept orders via email at: support@shareit.com. Please include all the details in the order form.

You can choose to place your order with their customer service team by phone, fax or postal mail.

Please print out the order form, and fax or mail it to:

ShareIt!
element 5 AG
Vogelsanger Str. 78
50823 Cologne
Germany

Phone: +49-221-31088-20
Fax: +49-221-31088-29

E-Mail: support@shareit.com

US and Canadian customers can also order by calling toll-free on 1-800-903-4152.

US check and cash orders can be sent to the US office at:

ShareIt! Inc.
P.O. Box 844
Greensburg,
PA 15601,
USA
Phone: (724) 850 - 8186
Fax: (724) 850 - 8187

*** ALL CHECKS SENT TO THE U.S. OFFICE MUST BE MADE PAYABLE TO: "ShareIt! Inc." ***

Registering

Please note that the minimum length of your registered name is 4 characters.

When you have the Serial No. you are ready to perform the registration of TurboVB. Open the 'Register TurboVB' menu item in the VB Add-ins menu and the Registration form will be displayed.

Registration

Enter the details from the email into the various TextBoxes and click 'Register'. If all the details are correct TurboVB will be registered to you.

The About form indicates the current status of TurboVB, providing the details of the registered user or the days left of the trial. In the event of any problems please email us at support@turbodeveloper.com.

Limitations

During a trial the following restrictions apply: -

TurboVB will allow fifty 'operations' before requiring you to reload the add-in from the Add-in Manager.
A Niggle screen is shown every time the add-in is loaded.
You can't save changes to any of the options screens, including General Options.
There is a thirty one day trial period.

The following Add-ins are unavailable: -

Tab Controller | Auto Access Keys
SQL Formatter | Clipboard Ring
Dirty Project | Swap Controls
Selected Controls | Project Backup
MsgBox Builder | Copy Control Code
DB Class Generator | Multi Check In
Get Latest Versions | Mass Property Updater
Stats | Enhanced Clipboard
MS SourceSafe Options | General Options
Code Maintenance | Project Backup Setup
Control Defaulter | Control Alignment
Custom Utilities | Multi Clipboard
Auto Documentor Note: (Up to 5 modules) | Proc. Recoder Note: (Most tools available)


Testimonials

Testimonials Testimonials

Companies all over the world have recognised the benefits that TurboVB brings. The customer base ranges from students to individual IT consultants and through to companies small, large and global. The industry types are diverse, from corporate services, management consultants, finance, pharmaceuticals, media, ISPs, science and law firms to game developers.

Here are some testimonials from users about TurboVB. Richard Southey, the author of VBZip has written a review of TurboVB.

I do a lot of Visual Basic development. I have found the tools within TurboVB to be invaluable. They have saved countless hours and have kept me from making costly mistakes. Without TurboVB, I may as well go back to a coding pad and a pencil.

Terry Kasper - US www.newfx.com

I am a lawyer. What do lawyers know about VB? Not much. Thank heavens for TurboVB!

James K. Ball - US www.strosbergco.com

Our team could not believe how much time we saved and it allowed us to adhere more rigorously to company coding standards because all the tedious commenting and header writing was done for us. Just the time it takes to comment a small project would cover the cost of this outstanding tool. Simple to use and to the point...great!

Chris Bates (Senior Analyst Developer) - UK www.torex.com

If you are a VB developer working on a project of almost any size, buy TurboVB. You'll have time to thank me later with the hours saved by this little tool.

Martin Saindon - Canada www.a2m.com

I don't have the capability to list all the things that TurboVB can do for a programmer. It's a very powerful tool. The only way to have a clear idea of all the benefits is to try it... and then imagine doing without it! My money was well spent! Thanks for the great job and support.

Nanide - Italy www.nanide.com


TurboVB V3.1 Add-ins

TurboVB V3.1 Add-ins TurboVB V3.1 Add-ins

Some add-ins are only available to registered users. Add-ins unavailable for trial users.

Procedure Builder | Procedure Builder | Property Builder | Property Builder
Auto Coder | Auto Coder | Close Inactive Windows | Close Inactive Windows
Clear Immediate Window | Clear Immediate Window | Search | Search
 | Proc. Recoder | Code Maintenance | Code Maintenance
Word Complete | Word Complete | DB Data Scripter | DB Data Scripter
SQL Formatter | SQL Formatter | Template Coder | Template Coder
Standards Monitor | Standards Monitor | Set Tab Order | Set Tab Order
Strings Writer | Strings Writer | Control Defaulter | Control Defaulter
Control Coder | Control Coder | Auto Declare | Auto Declare
List My Callers | List My Callers | Multi Check In | Multi Check In
Get Latest Versions | Get Latest Versions | Tab Controller | Tab Controller
Clipboard Ring | Clipboard Ring | Menu Copier | Menu Copier
Swap Controls | Swap Controls | Dirty Project | Dirty Project
Auto Access Keys | Auto Access Keys | Selected Controls | Selected Controls
Project Backup | Project Backup | MsgBox Builder | MsgBox Builder
DB Class Generator | DB Class Generator | Copy Control Code | Copy Control Code
Mass Property Updater | Mass Property Updater | Auto Documentor | Auto Documentor
Stats | Stats | Enhanced Clipboard | Enhanced Clipboard
General Options | General Options | MS Sourcesafe Options | MS Sourcesafe Options
Hot Key Setup | Hot Key Setup | Project Backup Setup | Project Backup Setup
Auto Enums | Auto Enums | Custom Utilities | Custom Utilities
Controls Alignment | Control Alignment | Multi Clipboard | Multi Clipboard


Suggestions & Bugs

Suggestions & Bugs Suggestions & Bugs

If you have questions, suggestions for new add-ins or enhancements to one or more of the existing add-ins or any other comments then please email us at the following address support@turbodeveloper.com or use the suggestions form on the website.

Any feedback will be appreciated. Many features have been added as a result of user requests. Please don't hesitate to add yours!

Bugs can be reported via support@turbodeveloper.com or you can use the bug report form on the website.

The first step is to ensure your using the latest version, check the downloads page for details on the latest version. Only the current version is supported.

Can you please ensure all the following details are included in the email.

OS:

Add-in Title:

Description of the error:

Steps I take to reproduce the error:

Note: Support is offered in English only and bug reports from trial users aren't guaranteed a response.


Downloads

Downloads Downloads

View the downloads page on the TurboVB website to ensure you have the latest versions. Separate downloads for the help file and DLL are available.

You can also check the 'Other Downloads' page. This includes UPX, a freeware executable compressor. TurboVB Mini Apps is a set of small applications useful for development that aren't suitable for building in TurboVB. You are entitled to TurboVB Mini Apps when you purchase TurboVB.


Auto Access Keys

Auto Access Keys Auto Access Keys

Auto Access Keys is designed to let you quickly set the access (or accelerator) keys used on a form.

Setting the Access Keys

Setting the Access Keys

When the add-in is loaded the current controls that have a TabStop and Caption property are listed. In the first column any access keys currently used are shown. Then the Caption, Name and Type are listed. The access key for a control can be changed by selecting a new one from the 'Keys' DropDown located at the bottom of the CommandBoxes on the right hand side. This DropDown only shows those access keys that are available for a particular control. If duplicate access keys are detected they are shown with an asterisk alongside them.

CommandButtons for Auto Access Keys

CommandButtons for Auto Access Keys

Access keys can be assigned automatically in two different ways. First, you can define a set of 'Standard Access Keys' in Auto Access Keys Options or you can select to have them automatically generated.

To use 'Standard Access Keys' simply click the next to last CommandButton on the right hand side. Any captions that match entries in the standards will have their access keys set.

To use the 'Auto' function click the bottom CommandButton on the right hand side. When using the 'Auto' function the controls will be assigned the first key available, starting with the first control. Therefore order is important. Use the top two CommandButtons to move particular controls up and down as needed. Only controls without a key will be assigned and then only if there is one available.

If you need to start again you can remove all current keys by clicking the third CommandButton down. If you are happy with some of the assignments but not all check the items in the ListView you want to keep and click the 'Clear Unchecked' CommandButton. Then click the 'Auto Access Keys' CommandButton again.

When you have setup all the access keys as you want them click the 'Set' button, this will apply the changes to the form.


Auto Coder

Auto Coder Auto Coder

The purpose of Auto Coder is to ensure that every procedure within a particular module has a header and/or an error handler.

Auto Coder

Select want you to apply to the selected module, when you click 'Create', TurboVB will then scan through all the procedures and insert the required header or error handler to your requirements. The header will match the setup for headers in General Options. The username is defaulted to the currently logged in user but it can be changed. The error handler can be a standard one or a custom handler, created in Custom Error Handlers.

If a procedure already has an header then by default the header will not be updated, set 'Update Headers' in Auto Coder Options to ensure all are updated. The initial setup of Auto Coder is defined in Auto Coder Options.


Auto Declare

Auto Declare Auto Declare

The task of this add-in is to write out the declaration for new variables as you use them. When you type a new variables name, leaving the cursor on the variable; click the Auto Declare icon or use the menu shortcut and its declaration will be created either within the procedure or within General Declarations for a module level variable, denoted by starting with a lower case 'm'.

The add-in finds the variable prefix by stopping at the first uppercase character, so this is a requirement for its successful function. The prefix needs to match one setup in the Variable Prefixes tab in General Options. Registered users can create their own types and prefixes in General Options.

This image demonstrates the speed, one button click, with which variables can now be declared.

Declaring a Variable

Declaring a Variable


Auto Documentor

Auto Documentor Auto Documentor

The purpose of Auto Documentor is to produce a compiled HTML help file that documents a project. This can be used as part of the systems documentation, resulting in a massively reduced workload to produce such information. It also promotes software reuse, as information on already developed code is readily available.

All selected for TurboVB

All selected for TurboVB

The modules within the project are all listed in the Treeview. Each has a checkbox, if the checkbox is selected then the module will form part of the help file. To quickly select all, unselect all or invert the current selection use the DropDown located at the lower right of the screen.

Once you are happy with your selection click 'Generate' to actually produce the help file. The help file will be placed in the projects folder, with the name 'ProjectName.chm', overwriting any existing help file.

You need to have the Microsoft® HTML Help Compiler installed and set its location correctly in Auto Documentor Options for the correct operation of the add-in. TurboVB supplies a default template for each type of module. In AutoDocumentor Options you can create your own formats to match your own documentation standards

Note: When unregistered only selections with a maximum of 5 modules are valid and only the path to the HTML Help Compiler can be amended in options.


Auto Enums

Auto Enums Auto Enums

Auto Enums gives you the ability to turn a variable of enum type into a full Select Case statement coded with the members of the enum.

The Auto Enums dialog

The Auto Enums dialog

First declare the variable and enter its name where the Select Case statement is to be placed. For a module level variable a lowercase 'm' is required. Locate the cursor on the variable and select the add-in. A form is displayed with the members of the enum. In Auto Enums Options you can select whether the members are all checked by default else none are. Select which members you want and click 'Create', this will replace the variable with the required Select Case statement.


Clear Immediate Window

Clear Immediate Window Clear Immediate Window

Clears the immediate window.

Immediate Window - Before

Typical immediate window

Immediate Window - After

The cleared Immediate window

If the Immediate Window is open the window is wiped of its contents. When registered the Add-in can be added to the Immediate Windows menu.


Clipboard Ring

Clipboard Ring Clipboard Ring

Clipboard Ring maintains a list of the previous 15 string values that have been copied to the clipboard.

Clipboard Ring

The values are listed in a ListView in 'time' order, most recent first. To write out a clipboard value to the current module simply double click the line or select a line and click 'Paste - Code' or to put the value back into the standard clipboard click 'Paste - Clipboard'.

When a clipboard item contains a large amount of text it can be unclear in the ListView, simply click 'View' to see the text in a MessageBox.


Close Inactive Windows

Close Inactive Windows Close Inactive Windows

Closes inactive windows at a click of a button.

Close Windows - Before

Before you close all the Windows

Close Windows - After

Just the current window is open

In MDI mode it will close all but the current active window. In SDI mode it will close all the windows. During the trial Close Inactive Windows is available in the Toolbar, once purchased you can have it in the TurboVB Menu and/or the VB Window menu.


Code Maintenance

Code Maintenance Code Maintenance

Code Maintenance provides many different functions that act at a module or project level.

Code Maintenance

The various functions Code Maintenance provides are explained below: -

  • Indent Code - Indents code to a generally accepted style. Uses your current tab width from VB options.
  • Comments - Ensure that multi-line comments are in an enclosed comment block.
  • Sort Procedures - Sort the Procedures into ascending alphabetical order.
  • Invert LineNumbers - Either adds or removes line numbers depending on whether they are already present.
  • Report on Variable Prefixes - Displays a report of the invalid prefixes, using the standards in General Options. Only local variables are considered.
  • Report on Unused Variables - Displays a report of the unused variables, only local variables are considered.
  • Update 'Called From' Header Field - If the field is present in a procedure header it will be updated with the callers of the procedure.
  • Report on Unused Procedures - Displays a report listing all the private scope procedures that are unused.

The initial setup of Code Maintenance is defined in Code Maintenance Options.


Control Alignment

Control Alignment Control Alignment

The Control Alignment add-in provides 4 quick tools that are missing from VB but are often required in form design.

Control Alignment

'Align Left' will align the controls left property with its container. The gap between the container and the control is set on Tab 1 of General Options. All the Alignment tools use these settings. 'Align Top' will align the top property with its container. 'Expand Width' will align the Left property and expand the control so that the control fills the remaining space after accounting for a 'right hand margin', 'Expand Height' will do the same for the Top and Height properties.

Whether particular tools are displayed is controlled via General Options, you have individual control over the display of the tools.


Control Coder

Control Coder Control Coder

Ever wished when you pasted a control some of its events were already coded? Control Coder gives you this functionality.

Coding an Event

Coding an Event

The control types on the current form are listed in the 'Control' DropDown. When a control is selected its events are listed in the 'Events' DropDown. Select the control/event combination you want to code. Enter the code for the event in the code TextBox. You have the option to create a header for the events, an error handler if you want one and whether to confirm the event code at design time. 'Standard Elements' can be added to the code. These are listed below: -

  • <Project Name> - Will be replaced by the name of the current project
  • <Module Name> - Will be replaced by the name of the current module
  • <Control Name> - The name of the control
  • <Username> - Replaced by the current username or by the setting in General Options
  • <Date> - The Date, in the format defined in General Options
  • <Time> - The time in the format 'HH:MM'

To ease the development of the coded events, projects can be setup using another project as a template. Select the project you want as a template and click the 'Setup' CommandButton.

To reset the events for a project use the 'Clear' CommandButton alongside the Project DropDown. For the events for a control use the 'Clear' CommandButton alongside the controls DropDown. To clear the code for a particular event use the 'Clear Event' CommandButton alongside the Error Handler DropDown.

The events for a particular control are read from a file located in the 'install path\Events\' folder and named using the format 'LibraryName.ClassName.txt'. Thirty five events files have been supplied as part of the TurboVB zip file. A zip file (63k) can be downloaded that contains over one hundred other events files.

To use other controls that aren't in the zip file with Control Coder you have to manually create an events file based on the following format: -

'install path\Events\LibraryName.ClassName.txt', for example 'c:\Program Files\TurboVB\Events\MsComCtl2.DTPicker.txt' for the DateTimePicker.

To find the project and control name to use, examine the control in the VB Object Browser, Shortcut 'F2'.

The quickest method is to select all the events for the control in the VB Code Window DropDown and use File/Replace to remove the unnecessary code. Examine any of the supplied files for an example.

Some defaults on Control Coder are controlled by Control Coder Options.


Control Defaulter

TurboVB Banner
Control Defaulter Control Defaulter

Control Defaulter allows you to set the property values of new controls. For example, in the screenshot below any new CommandBoxes will be named cmd1, cmd2 etc. and the Caption property will be blank.

Settings Defaults

The 'Controls' DropDown contains all the control types contained on the current form. When you select a control type the properties for the control are displayed in the lower left hand ListBox. Use the buttons to move the properties you want as defaults to the 'Default Properties' ListBox.

For maximum flexibility different sets of defaults can be specified for different projects or it can be for 'Any Project'. To specify defaults for a particular project select it in the 'Project' DropDown. When you save your changes they will apply to that project only. If a project hasn't got defaults then those for 'Any Project' will be used, to specify them simply select 'Any Project' in the DropDown. To remove the defaults for a project click the 'Clear' CommandButton.

To make setting up defaults a convenient process you can setup a project based on the defaults already setup for another. To do this simply select the project you want to use in the 'Set Proj. As' DropDown and click 'Setup'.

A further option is to confirm the setting of the defaults when a control is pasted on a form.

Note: If you Copy/Cut and then Paste a control the defaults will be applied again to the control, therefore it's best to have the confirm option checked.


Copy Control Code

Copy Control Code Paste Control Code Copy & Paste Control Code

The purpose of Copy Control Code is to quickly code controls from the code contained in another already coded control that acts as a template. Its purpose is similar to Template Coder but it's even quicker.

Copying the Code - From the already coded control

Copying the code - From the already coded control

If a control has coded events then when the control menu is shown for a standard VB Control the menu item 'Copy 'Control Name' Code' will appear. When selected the code for the control is stored. Next, move to a control that you want coded. This control must have no code.

Ready to paste the code - To a control with no code

Ready to paste the code - To a control with no code

The menu item 'Paste 'Control Name' Code' is displayed. When you select the menu item the control will be coded! The name of the control will be automatically updated in the code for the pasted control.

Note: This add-in is limited to standard VB Controls. While using a control on another form is supported you do need to move the focus from the first control selected after moving to the new form due to a limitation in VB.


Dirty Project

Dirty Project Dirty Project

Dirty Project simply indicates when a change has been made to the current project.

Dirty Project No Changes | No Changes
Dirty Project Changed | Changed

Dirty Project Icons

Due to the fact that Dirty Project is intended to give an indication of the state of the project at a glance it's only available in the Toolbar. This is controlled by the Add-ins Display tab in General Options.


Custom Utilities

Custom Utilities Custom Utilities

Allows you to add external utilities to TurboVB.

Custom Utilities

To add a utility enter a Name and provide the path to the executable. You can optionally add the path to the active module and/or project which will be sent as arguments to the executable when its called. Use the 'Add' and 'Delete' CommandButtons for this. Click 'Update' to add your changes to the ListView at the top which lists all current utilities. To modify an existing one click in the ListView and the details are shown below ready for editing. If you want to have the utility opened maximized click the 'Maximized' CheckBox.

To delete a utility highlight it in the ListView and click the 'Delete' CommandButton. To make any changes permanent click the 'Save' CommandButton.

Any utilities listed are added at the end of the menu, either VBs' Add-in menu or TurboVBs own. Any changes will only take effect the next time TurboVB is started.


DB Class Generator

DB Class Generator DB Class Generator

The purpose of DB Class Generator is to quickly and simply generate classes and optionally collections that map to tables in a selected SQL Server database.

DB Class Generator

DB Class Generator

First select a DSN from the 'DSNs' DropDown. The 'Username' and 'Password' are defaulted from DB Class Generator Options. If the login details are correct the tables of the database will be listed in the 'Tables' DropDown. 'Create Collections' is also defaulted via the options screen. If selected a collection will also be created.

Each time a different table is selected in the 'Tables' DropDown the items below will be updated. 'Class Name' is defaulted to 'cls' and the table name, with any prefix for the table removed and any 's' on the end being dropped. The prefix being any lower case letters before the first upper case letter. For example, Table 'tblAuthors' will become 'clsAuthor'.

The prefix for the collection is taken from Variables Prefixes in General Options.

Next is a ListView that lists all the columns in the table. Each row has the following information: -

  • Column Name
  • Property Name
  • Field Type
  • Property Type
  • Default
  • Default Value (if one is present)

The Frame underneath displays information on the currently selected column. You can change the name and type of the property that will be created for the column. You can also change whether a column has a default value and its associated value. By default all columns are selected for inclusion in the class, if any are unnecessary simply uncheck them. Click 'Update' to save any changes to the ListView.

To create the class, and collection if selected, click 'Create'. If the project is a new one and hasn't been saved yet the objects will be saved to the VB install location, otherwise they will be saved in the .vbp file location.

Note: Only MS SQL Server databases are currently supported.


DB Data Scripter

DB Data Scripter DB Data Scripter

Sometimes its very useful in development to return a database back to an initial state, one way of doing this is to simply develop a SQL file to clear down the necessary tables and insert the required data. DB Data Scripter automates this process by producing the .SQL file straight from the current contents of a particular database.

Scripting a Database

Scripting a Database

Select the DSN you want from the 'DSNs' DownDrop. The tables within the database are listed in the left hand ListView. Move the tables you want to script to the right hand ListView, using the four CommandButtons in the middle. You can use the bottom two CommandButtons to reorder the script tables.

All the other details are defaulted from DB Data Scripter Options. The 'Username' and 'Password' are required to access the database. A location for the .SQL file must be given and select either 'Clear Down All Tables' in the database or just the tables in the script list, 'Clear Down Script Tables'.

Note: Only MS SQL Server databases are currently supported.


Enhanced Clipboard

Enhanced Clipboard Enhanced Clipboard

The aim of Enhanced Clipboard is to allow you to append multiple entries to a private clipboard.

The Enhanced Clipboard Menu

The Enhanced Clipboard Menu

With the 'Copy' option you can add the currently selected text to the private clipboard. 'Copy Procedure' allows you to copy the current procedure. Next is the option to 'Clear' the clipboard and then finally to 'Paste' the contents to the current location in code.

In General Options you can set two options that control Enhanced Clipboards behaviour. 'Clear Clipboard on Paste' will clear the contents on a paste while 'Add Blank Line on Copy' will simply insert a blank line between the new item and the existing contents on any copy command.


General Options

General Options General Options

General Options is where the options for the entire tool are set. Everything from the format for procedure headers to the prefix used for Strings.

General

First Frame - General Frame

This contains options that control TurboVB generally.

Tab1 - General

Tab 1 - General

The various options are listed and described in detail below: -

  • Ensure Modules Maximized - When this is selected the code windows will be maximized automatically
  • Use Own Menu - Create a menu for TurboVB
  • Use Own Toolbar - Create a toolbar for TurboVB
  • Add Menu Separator - This is used to add a separator between the TurboVB menu items and the other items in the VB Add-ins Menu
  • Add Toolbar Separator - This is used to add a separator between the TurboVB toolbar items and the other items in the standard VB toolbar
  • Add Code Menu Separator - This is used to add a separator between the VB menu items and the TurboVB items in the Code Menu.
  • Add Control Menu Separator - This is used to add a separator between the TurboVB Control Menu items and the others.
  • Add Proj. Exp. Menu Separator - Select this if you want to add a separator between the standard and TurboVB items in the Project Explorer.
  • Add Imm. Window Separator - Select this if you want a separator in the Immediate Window.
  • Add Close Windows Separator - Select this if you want a separator in the VB Windows menu.
  • User Name - If selected the name you enter here will replace the login username
  • Indent Code - Indent the code that is produced by TurboVB
  • Tabs - The number of tabs used in the option above
  • Date Format - The format for the date used by TurboVB
  • Control Indent Left - The amount of left indent used by Control Alignment
  • Control Indent Top - The amount of top indent used by Control Alignment
  • Remove C++ Files - When TurboVB is unloaded the .exp and .lib files, if present in the project folder will be deleted
  • Add frmVBError to New Projects - Used to add the supplied form, frmVBError, automatically to new projects. Its used with the 'Show Error' standard error type
  • Clear .VBW - When a project is closed this will clear the .VBW file and make it read only. The effect of this is that when you reload the project it will start with no open windows. The .VBW file for the project must be read-write initially.
  • Delete Code On Delete Control - When a control is deleted, TurboVB can delete the code for it.
  • Confirm Delete Code - Confirm that you want to delete the code. If using the above option then this is recommended!!
  • If Changes Made, Confirm Cancel - On add-ins with an 'Apply' CommandButton do you want to confirm a 'Cancel' CommandButton click?
  • Preserve Clipboard on VB Startup - Simply stops VB from wiping the clipboard when a new project is opened.
  • Rename control in code - When a control is renamed all code references to it are updated.
  • Save Window Location - Add-ins will remember their previous location and size.
  • Rename New Components - New components will be renamed to your standards i.e. frm1, frm2 for new forms.
  • Max Width Code Line - Maximum width of a line used in the Split Line function in Proc. Recoder
  • Support Wheel Mouse - If selected you can use your wheel mouse to move within a code window - Note: Changes will take effect the next time VB is started
  • Use Control Panel Setting - Move the number of lines in the Mouse settings of the Control Panel each turn
  • Lines - A custom number of lines to move if the Control Panel setting is not selected

Second Frame - Enhanced Clipboard

This frame contains two options for the Enhanced Clipboard Add-in. First, whether the clipboard will be automatically cleared on a paste and whether a blank line will be added to each copy command.

Headers

Controls the format of procedure headers

Tab 2 - Headers

Tab 2 - Headers

First frame - Header Fields

These control the fields used in a procedure header.

Second frame - Header

Controls the format of the procedure header.

  • Display Header - Controls whether a header is created for new procedures in Procedure Builder.
  • Line After Header - Is a blank line created after the header?
  • Blank Lines In Header - Are blank lines used in the header?
  • Comment character - What is used as the comment character?
  • Indent Header - Is the header indented?
  • Tabs - If indented, by how many tabs?
  • # of characters - Max. width of longest line.

Add-ins Display

Controls the display and order of the add-ins

Tab 3 - Add-ins Display

Tab 3 - Add-ins Display

For the main menu and toolbar you can specify what add-ins appear and the order they appear in. Select whether an add-in appears by checking it. To move a particular add-in up or down in the order first select either 'Menu' or 'Toolbar' at the top left then select the add-in you want and use the 'Up' and 'Down' CommandButtons at the top right. Any changes need to be confirmed by clicking the 'Update' CommandButton. The Proc. Recoder functions can be added to the menu and/or toolbar.

By clicking the CommandButton 'Restore to Defaults' you can select to return to the default settings.

For the Code, Control, Immediate, Window and Project Explorer menus you can control whether particular add-ins will appear. You can also select to have 'Open Folder of File', 'Open File in Notepad' and 'Revert to Saved Version' in the Project Explorer Menu. You have individual control of the four tools in the Control Alignment add-in.

Variable Prefixes

Sets the prefixes to be used for different variable types

Tab 4 - Variable Prefixes

Tab 4 - Variable Prefixes

To amend the prefix for a variable type, select it in the ListView, amend the values in the TextBoxes and click 'Update'. You can delete a type by selecting it and hitting the 'Delete' key. Add a new variable type by entering the new prefix and type and click 'Update'. Click 'Restore to defaults' to return to the types and prefixes created on install.

Proc. Recoder

Controls Proc. Recoder and provides some miscellaneous functions

Tab 5 - Misc.

Tab 5 - Proc. Recoder

First frame - Proc. Recoder

Controls the functions that are displayed in the Proc. Recoder Add-in.

Second Frame - Random Functions

Use this to get a random DLL base or GUID value.

Module Headers

Setup a header for modules

Tab 6 - Module Headers

Tab 6 - Module Headers

If 'Module Headers' is selected the defined template for a module type if found will be written out when a new module is added to a project. Select the module type in the 'Type' DropDown. You can use several 'Standard Elements' in the headers: -

  • <Date> - The date, in the format specified in Tab 1
  • <Author> - Replaced by the current username or by the setting in Tab 1
  • <Project> - Name of the project

Save the header by clicking the 'Update' CommandButton.

'Add Module Header' can be added to the TurboVB menu and/or toolbar and is used to add a header to existing modules.


Get Latest Versions

Get Latest Versions Get Latest Versions

Depending on your settings Get latest Versions will scan through all the files in the current project or project group if one is being used. Options for both MS SourceSafe add-ins are controlled in MS SourceSafe Options.

Getting the Latest Versions

Getting the Latest Versions

Note: Get Latest Versions will only work with files that are part of the corresponding project in Microsoft® Visual SourceSafe™. For example, if you are sharing a file across multiple projects that file will not be updated to your local location(s).


List My Callers

List My Callers List My Callers

The purpose of List My Callers is to list the other procedures that call the current procedure.

Listing the Callers

Listing the Callers

Like Proc. Recoder, List My Callers is available from the code window. Right click in a code window and you will find it above Proc. Recoder. To have the callers displayed simply select the menu option and the 'callers', if any, will be displayed. Double click on a line in the grid to be taken to that code line. To move to the code and automatically close the List My Callers form click the 'Goto Code & Close' CommandButton.

Cancel List My Callers

Cancel List My Callers

If you want to cancel the search before its completed click 'Cancel' in the dialog above. If any callers have already been found they will be displayed in the normal dialog.

When the header field 'Called From' is enabled in General Options the Update button is enabled. Use it to fill in the 'Called From' field in the header automatically. If you want the 'Called From' field filled in for a code module or project use 'Update 'Called From' Header Field' in Code Maintenance.

Options controlling List My Callers are set in List My Callers Options.


Hot Key Setup

Hot Key Setup Hot Key Setup

Hot Key Setup allows you to assign Hot Keys to all add-ins and many of the functions of TurboVB.

Assigning an Hot Key

Assigning an Hot Key

To assign an Hot Key first select the add-in in the left hand column and then move the focus to the Hot Key TextBox at the lower left. Simply type the Hot Key you want to assign and click 'Update'.

Checks are carried on the Hot Key you have selected. The Hot Key can't be in use by another add-in or used by VB. Click 'Clear All' to remove all currently assigned Hot Keys. 'Restore to Defaults' will assign the Hot Keys that are supplied with the install.

Note: In the unregistered version only those add-ins and functions that are available will be listed, all functionality is available once registered.


Mass Property Updater

Mass Property Updater Mass Property Updater

Mass Property Updater allows you to update the same property across all controls on a Form, the Form and even the project if required.

Mass Property Updater

Mass Property Updater

First select the property to be updated in the 'Properties' DropDown. This will be a list of all the unique properties of the current form. If you want the forms property to be updated then select the 'Form Props' CheckBox. Selecting this option will add any properties of the form to the 'Properties' DropDown. If you want all controls and/or forms updated select the 'Apply to Project' CheckBox.

Enter the properties value in the 'Value' TextBox, if the property is 'Font' then the 'Size' TextBox and 'Style' DropDown are enabled. When the property is set correctly click 'Update' to perform the update.


Menu Copier

Menu Copier Menu Copier

Menu Copier allows you to quickly copy the menu structure that already exists in another form to the current form.

Selecting a Menu to Copy

Selecting a Menu to Copy

First select the form that will be updated with the new menu. When Menu Copier is opened it scans through all the forms and those with a menu are shown in the ListView. Select the menu structure you want and click 'Paste'. The menu will then be added to the form ready for coding.


MsgBox Builder

MsgBox Builder MsgBox Builder

Use MsgBox Builder to create statements for the display of message boxes.

Building a MessageBox

Building a Message Box

Enter a title if required, and a caption. Select an icon by clicking on it and unselect it by clicking on it again. Select the CommandButtons required from the 'Buttons' DropDown. You can select to have a non-modal, application or system modal message box.

You have three options, 'Use Variable', 'Use If' or 'Select Case'.

'Use Variable' assigns the result of the message box operation to a variable. By default this is named 'intMsgBox', if you change this it is stored in the registry and that value will be used next time. 'Use If' wraps the statement in an If statement. Select the CommandButton to use for the comparison in the If statement. 'Select Case' creates a Select Case template code out of the CommandButton(s) selected.

To check the entries click the 'View' CommandButton, when its finished click 'Copy to Clipboard' or 'Paste Code'.


MS SourceSafe Options

MS SourceSafe Options MS SourceSafe Options

Controls the setup and behaviour of the two Microsoft® Visual SourceSafe™ add-ins.

SourceSafe Options

First the .ini file needs to be specified, this is a requirement for the two add-ins to work. Next you need to set the 'Username' and 'Password'. You can set it to use the current users username or assign a specific one.

Get Latest Versions and Multi Check In Options

Get Latest Versions and Multi Check In Options

On the second tab you have two frames, one for each add-in. The options are the same for each except 'Update SourceSafe' for Multi Check-in, if this is selected then the files will be checked back out after MS SourceSafe is updated. First, you have the option 'Use', operations can either apply to just the current project or to a project group. Next is 'Confirm Operation', this simply shows a MsgBox requiring confirmation before any operation starts, and then 'Auto Close', if selected the dialogs used will be automatically closed.

The two MS SourceSafe based add-ins, Get Latest Versions and Multi Check In both get their settings from MS SourceSafe Options.

Note: You need to have Microsoft® Visual SourceSafe™ V6 installed to make use of the MS SourceSafe Add-ins.


Multi Check In

Multi Check In Multi Check In

Multi Check In will check in all files currently checked out, this includes all files in a project group. Options for both MS SourceSafe add-ins are controlled in MS SourceSafe Options.

Checking in Your Work

Checking in Your Work

Note: Multi Check In can only check in files that are part of the corresponding project in Microsoft® Visual SourceSafe™. For example, if you are sharing a file across multiple projects that file will not be checked in.


Multi Clipboard

Multi Clipboard Multi Clipboard

Multi Clipboard gives you 10 different clipboards.

Multi Clipboard

To use Multi Clipboard select the text you want to be stored and select the Copy 1 menu item within the code menu. Once the first menu item has contents the second copy menu item will be made visible and ready for use and so on for the rest. The caption for the menu is the first line of text in the selection. The same caption is also used for its corresponding Paste menu item. To paste the text just select the Paste menu item. The contents of a clipboard remain until overwritten.

To view the full contents of the clipboards select the 'Multi Clipboard' menu item. A form is displayed identical to the Clipboard Ring add-in. Use 'View' to see the full text or the Paste CommandButtons to paste the contents to the system clipboard or back to the current cursor location in VB.


Proc. Recoder

Proc. Recoder, (Procedure Recoder), provides a vast array of functionality.

Procedure Header

Procedure Header will add an header to the current procedure if one isn't present or update an existing one. This is very useful if you change the procedures name or amend one of its parameters. If a parameter has comments they will be preserved.

The header will be created based on the standards for headers defined in General Options.

Property procedures are also supported by Procedure Header, the appropriate style header being produced.

Standard Errors

This option applies one of the standard error handlers to the procedure, these are listed below: -

  • Show - The Supplied Error Form
  • Raise - Err.Raise
  • Next - On Error Resume Next
  • Blank - No code in created handler

The Raise error is also supported by property procedures.

Custom Errors

Using this option one of the custom errors can be applied to the procedure.

Up to 12 custom error handlers can be created in Custom Error Handlers.

Comments

Four functions with comments.

  • 5 Line Comment
  • 3 Line Comment

These two options write out 5 and 3 line comment blocks. A 3 line comment block would be

'*******************************************************************
'*
'*******************************************************************

They attempt to follow the current tabbing.

  • Comment Block
  • Uncomment Block

These comment and uncomment the selected block of code.

Selection Case

Quickly modify the case of code.

  • Lower
  • Upper
  • Proper

These either make the selected code all lowercase, uppercase or proper case.

Proper case is only available to registered users.

Misc - Registered Only

Six different miscellaneous functions.

  • Auto With
  • Sort Lines
  • Add Line Numbers
  • Remove Line Numbers
  • Split Line
  • Join Lines

Auto With

Use Auto With to turn multiple lines all referring to the same object to a single With statement block.

i.e

txtName.Text = "TurboVB" | To | With txtName
txtName.Width = 2000 |  |
txtName.Height = 315 |  | .Text = "TurboVB"
txtName.Locked = True |  | .Width = 2000
 |  | .Height = 315
 |  | .Locked = True
 |  | End Width

Highlight the lines you want to be modified and select the 'Auto With' Menu item.

Sort Lines

Highlight the lines you want to be sorted and select the option.

Add Line Numbers

Highlight the lines you want to add line numbers too and simply select 'Add Line Numbers'. If the first line selected already has a line number the count will continue from that value.

Remove Line Numbers

Highlight the lines with line numbers and select the 'Remove Line Numbers' menu item.

Split Line

Used to split long lines into an easier to read format. By detecting the types of lines that result in long lines Split Line is able to split them as you would. Split Line may not be able to correctly identify each and every line therefore the line may be left unchanged.

Join Lines

Make a single long line out of a previously split line.

Menu Items

Whether particular options are included in the Proc Recoder menu is controlled in the Proc Recoder section in General Options - Tab 5. They can also be shown in the main menu and/or toolbar, this is controlled just like the rest of the add-ins in the Add-ins Display section of General Options - Tab 3.


Procedure Builder

Procedure Builder Procedure Builder

Procedure Builder creates the shell of a procedure, including a header and an error handler. Defaults for most elements are set in Procedure Builder Options.

Creating a Procedure

Creating a Procedure

You specify the 'Scope', 'Type', and in the case of a function, 'Return Type' and 'Name' for the procedure. Optionally a 'Description' for the procedure can be provided.

Up to three parameters can be specified. A name and type for each parameter are required. Defaults for parameters can be setup in Procedure Builder Options. Use the CheckBox to specify if a parameter is optional.

Finally the 'Error Handler' can be specified, there are four (five if you count 'None') standard error handlers, listed below: -

  • Show - Use the Supplied Error Form
  • Raise - Err.Raise
  • Next - On Error Resume Next
  • Blank - No code in the handler

In addition to the standard error handlers you can use Custom Error Handlers to create up to twelve of your own handlers. These will be listed after the four standard handlers. To create the procedure click 'OK' or 'Apply'.


Project Backup

Project Backup Project Backup

With Project Backup you can quickly create a zipped backup of a project or an entire project group.

A Backup in Progress

A Backup in Progress

Simply click the Project Backup icon to create a new zip of the project. Use Project Backup Setup to define the configuration for the active project. You have complete control over the final zip file and its contents.

For correct operation of Project Backup certain files are required, these are supplied with the main download. To actually create the zip file TurboVB uses a freeware OCX, VBZip Version 1, from Richsoft Computing. Please view their web site for the latest information. You need to register VBZip_Control.ocx and move the dll files, Zipit.dll and Zipdll.dll to your windows\system32 folder.

Requirements for successful operation

VBZip_Control.ocx | Must be registered
Zipit.dll | Just needs to be present in windows\system32 folder
Zipdll.dll | "


Property Builder

Property Builder Property Builder

Property builder creates properties in one quick step. This includes the required private module level variable.

Creating a Property

Creating a Property

Once the mandatory name is supplied the property can be created with the default type and settings that are setup in Property Builder Options.

A description can be entered. For standard variable types the property procedure types required are a Let and a Get. For object types Set and Get are necessary and variants require all three. Property Builder will try to select the required property procedure types but you are free to modify them.

If the 'Include Custom Classes of Project(s)' CheckBox is selected within Property Builder Options then all the created types within the current project or project group are listed in the 'Return Type' DropDown after the standard types.

Extra features

These features come into effect when code is selected and Property Builder is opened.

Constant Creation

If the text currently selected is all uppercase or underscores then a constant is a possibility. A MsgBox is shown asking if indeed a constant is required.

Constant required?

If you answer 'Yes' then an InputBox dialog is shown asking for the constants value. When the value is provided the constant is created.

Value?

Variable to Property

If the text is the name of a variable then a MsgBox is shown asking if you want to convert it to a property.

Convert to Property?

Convert to Property?

If you answer 'Yes' then you are asked if it's to be 'Public'.

Public Scope?

When you answer the property will be created.


Search

Search Search

Simply enter your search term and click 'Search'. The matches will appear in the results grid.

Displaying the Results

Displaying the Results

Any previous searches will appear in the DropDown. You can define the scope of the search as the current module, project or project group.

You can use a 'pattern search' i.e. '?' for any single character and '*' to match zero or more characters or 'Find Whole Word Only'. Use a regular expression or require the search to match the case of the search term. You can also choose to ignore any matches occurring in comments using 'Ignore Comments'. In Search Options you can select to view lines above and/or below the matching line and limit the number of results shown.

To view a code line that's listed in the search screen double click it in the results grid. Sometimes its useful to be aware of when you have already viewed a code line, to record the fact use the code number column rather than the line column itself. Then that particular cell will be coloured red until it's clicked again, indicating its been viewed.

The initial setup of search is controlled by Search Options.


Selected Controls

Selected Controls Selected Controls

Selected controls simply sets the clipboard to the names of the currently selected controls.

Selecting Controls

This will result in

chkIncludeGroup
chkIncludeAllSubFolders
chkIncludeOtherFiles
chkStorePath
lblCompressLevel
cboCompressLevel

being available in the clipboard. This would be useful where a large number of controls are to be referenced in code.


Set Tab Order

Set Tab Order Set Tab Order

Used to quickly and simply set the tab order within a container.

Setting the Tab Order

Setting the Tab Order

Select the first control and ensure that its TabIndex is set to the correct value. Then select the controls in the order you want the tab order to run, when you have finished right click and select 'Set Tab Order'. The TabIndexes will be set in the order of the controls selection based on the value of the first control selected i.e. 1st control - 10, 2nd control - 11 etc.

You can also use Tab Controller to modify tab order.


SQL Formatter

SQL Formatter SQL Formatter

Use this add-in to apply a consistent style to long SQL strings, ready for insertion into VB.

Formatting SQL

Paste your SQL string, from example, Query Analyser, into the top TextBox, then click 'Format SQL' and the formatted SQL will appear in the lower TextBox, formatted to your options. The formatted SQL is automatically pasted into the clipboard.

If 'Declare Variable' is selected, a

Dim strSql As String

statement is produced. The name of the variable used is by default taken from SQL Formatter options. If 'Line Continuation' is selected then the SQL goes out as one big line, with the maximum width taken from the 'Line Length' Option. If 'Line Continuation' is not selected then the SQL will be as below: -

strSql = "Select * from tblInvoices where InvoiceNo = "
strSql = strSql & "00017453"

'Double Quotes to Single Quotes' does what it says, converts the " character to the ' character. The final string is then passed through a VB function that ensures that the single quote character can't cause any problems when used with VB.


Standards Monitor

Standards Monitor Standards Monitor

Standards Monitor is used to enforce naming conventions and other forms of standards. For example, company standards might be that all labels are set to AutoSize - 'True', so that the full caption is sure to be displayed if the user has specified large fonts.

Creating the Standards

Creating the Standards

The screenshot above shows the setup side of Standards Monitor. All the unique control types of the current form are listed in the DropDown at the lower left. When you select a particular control, its properties are available in the middle DropDown. To add a new standard, select the control, then select the property and finally enter the value for the standard, for example 'txt' for the Name property of the TextBox. Click 'Add' to add the standard to the current list of standards shown in the ListView.

To make any changes permanent click 'Save'. To remove a standard from the ListView select it and click 'Delete'.

For maximum flexibility different sets of standards can be specified for different projects or one set of standards can be defined for 'Any Project'. To specify standards for a particular project select it in the Project DropDown. When you save your changes they will apply to that project only. If a project hasn't got standards then those for 'Any Project' will be used, to specify them select 'Any Project' in the DropDown. To remove the standards for a project click the 'Clear' CommandButton.

To make this a convenient process you can setup a project based on your defaults already setup for another. To do this simply select the project you want to use in the 'Set Proj. As' DropDown and click 'Setup'.

Reporting on the Standards

Reporting on the Standards

The setting up of these standards is of no use if you can't find out where you aren't meeting them. This is where the 'Report' tab comes in, as shown in the screenshot above. You have two options, either to report on the current module or all the modules within the current project.

Select the scope of the report and click 'Report'. All instances where the standards aren't met are shown. The 'Form Name', 'Control Type', 'Control Name', 'Property Name' and the actual and standards value are the items listed.

If you double click on any of the controls listed in the Report tab you are taken to that form with the control already selected. Select the items that you want 'fixed' and click the 'Set to Standards' CommandButton. In this way you can quickly get a form or project in order.

If particular controls properties are correctly set but not following defined standards due to the requirements of the form you can remove them from future checks by clicking 'Ignore' when they are selected. To add them back into the checks click the 'Clear' CommandButton.


Stats

Stats - Project Stats - Module Stats - Project & Module

Stats consists of 'Project Stats' and 'Module Stats' for the currently selected module.

Display of a modules stats

Display of a modules stats

For both types the counts for: -

Lines - Code, Blank, Declaration and Comments

Contents - Procedures, Properties, Module Variables, Constants and Events

are shown.

Display of a projects stats - TurboVB

Display of a projects stats - TurboVB

For project stats totals are included.

Click the 'Export' commandbutton to create a tab delimited file containing the stats in the projects folder. You can select to have Project or Module stats in the Project Explorer using General Options.


Strings Writer

Strings Writer Strings Writer

String Writer helps in internationalising projects by exporting captions to a text file ready for translation.

Strings Writer

Strings Writer by default will write out a text file containing all the captions for a project or it can use the current module. A path for the text file needs to be specified. The options include using a single file for the project or using a file for each module. You can also select to create a unique ID with each caption, which could be used in a resource file and writing out a full stop after the caption.


Swap Controls

Swap Controls Swap Controls

Swap Controls allows you to swap the positions of two controls on a form.

Swap Controls

Simply select two controls located within the same container and the 'Swap Controls' menu item will appear, select it and the controls will be swapped.

Note: The menu item will only appear when you select 2 controls after selecting one or none.


Tab Controller

Tab Controller Tab Controller

Use Tab Controller to set up the tab flow for a form. When the add-in is selected the controls of the current form are loaded into the TreeView. The controls in the TreeView follows the design of the form, i.e. controls contained within a Frame are shown contained in their Frames.

Controlling the Tab Order

Controlling the Tab Order

Use the 'Up' and 'Down' CommandButtons to move the selected control/container up and down in the flow. When you have finished altering the positions click the 'Set' CommandButton. The controls TabIndex values will be updated in accordance with their corresponding position in the TreeView.

Click the 'Refresh' CommandButton to reload the TreeView from the current state of the form. For large forms the '+' and '-' CommandButtons can be very useful, the '+' CommandButton expands all the TreeViews nodes and the '-' CommandButton closes them.

Use the next CommandButton to write out the Tab Order to the clipboard. You have two options, either it can use the tab order currently in the form or follow the order in the TreeView. Use Tab Controller Options to set your preference.

The last CommandButton is used to remove the currently selected control in the TreeView from the forms tab flow.

You can also use Set Tab Order to modify tab order.


Template Coder

Template Coder Template Coder

The purpose of Template Coder is to create the event code for one or preferably more controls at a time from the event code of a 'template control'.

Coding at Turbo Speed

Coding at Turbo Speed

This add-in can be very useful when the same event code is needed by multiple controls, for example, code to highlight/Unhighlight control text when it gets the focus. This functionality needs code in both the GotFocus and LostFocus events; this makes for a very repetitive task. Template Coder can remove a vast amount of copy and paste. To have standard code written out when a control is pasted on a form use Control Coder.

When the add-in is displayed the controls on the form are listed in the 'Template Control' DropDown. Select the control that will act as the 'template'. The events for the template control that contain code will be displayed and the other controls of the same type are listed in the ListView at the bottom. Select the events that you want used, the controls you want them to apply too and click 'Generate'. If code exists already for an event then no changes will be made.


Word Complete & Word Complete Setup

Word Complete Word Complete Setup Word Complete & Word Complete Setup

This add-in turns a few letters into your choice of code, either a keyword, section of code or even a complete procedure or module.

To activate the add-in from the keyboard use 'Alt-B' then 'Alt-W', the shortcuts for the Add-in using its own custom menu or 'Alt-A' then 'Alt-W' if using the standard add-in menu.

Setup

The add-in is supplied with eight entries created. To create a new entry click 'New' then enter the text you will type in the VB Code Window in the TextBox labelled 'Typed Text', say

sel

then enter the code the add-in will replace it with, say

select case <Cursor Position>

    case:

    case:

end select

in this example the three letters 'sel' will be replaced by a shell Select Case structure.

When registered you can use the forms property values as in the following example, setup as above in the main image, coding a Form_Resize event: -

Form_Resize Template

To save any changes click the 'Save' CommandButton. Clear any current code with the 'Clear' CommandButton. To delete an existing one select it in the grid and hit the 'Delete' key.

Just like Custom Error Handlers, 'Standard Elements' can be added to the code that the add-in will replace at runtime, the elements valid for Word Complete are listed below: -

  • <Project Name> - The current project name
  • <Procedure Name> - The current procedure name
  • <Module Name> - The current module name
  • <Current Control> - The name of the current control - useful for coding event procedures
  • <Cursor Position> - Specify the cursor position, especially useful for code that's still invalid as in the example above
  • <Username> - Replaced by the current username or by the setting in General Options
  • <Date> - The date, in the format specified in General Options
  • <Time> - Current time in the format 'HH:MM'
  • <Form Properties> - These are all the properties of a form. Controlled by Word Complete Options


Affiliate Program

Affiliate Affiliate Program

If you think TurboVB is a good match to your website then become an affiliate! If the links on your site lead to a sale within the six months, you get commission at 25%. We are actively seeking partners.

The affiliate process is very simple, automated and highly secure. To start the process register with our e-commerce provider, Share It! Share It! is a leader in the trialware e-commerce field featuring the highest security, they leave nothing to chance.

Once we have activiated your account, you will receive the login details for the Affiliate Control Panel. Using the Control Panel you can examine your status, settings and sales reports. Another feature of the Control Panel is the 'Link Generator'. Using this tool you can generate TurboVB product and checkout links that automatically include your specific affiliate ID. It's these links that you place on your website.

You can use cookies to gain credit for sales that do not occur directly. This would happen, for example, if a customer is referred to our site by your site, but does not immediately purchase. Using this feature, customers that are referred to our site from yours will receive a cookie that remains valid for six months.

All tracking, processing and payment is done automatically by Share It!.

You can register as an affiliate online now at no risk and no cost.


Access Keys for V3.1

Access Keys for V3.1 Access Keys for V3.1

These are the Access Keys for the main TurboVB menu.

P | Procedure Builder | Procedure Builder | R | Property Builder | Property Builder
U | Auto Coder | Auto Coder | D | Close Inactive Windows | Close Inactive Windows
I | Clear Immediate Window | Clear Immediate Window | S | Search | Search
W | Word Complete | Word Complete | O | Word Complete Setup | Word Complete Setup
B | DB Data Scriptier | DB Data Scripter | Q | SQL Formatter | SQL Formatter
T | Template Coder | Template Coder | M | Standards Monitor | Standards Monitor
C | Control Coder | Control Coder | A | Auto Declare | Auto Declare
E | Code Maintenance | Code Maintenance | N | Tab Controller | Tab Controller
F | Sourcesafe Options | MS SourceSafe Options | H | Multi Check In | Multi Check In
L | Get Latest Versions | Get Latest Versions | G | General Options | General Options
U | Menu Copier | Menu Copier | K | Auto Access Keys | Auto Access Keys
J | Project Backup | Project Backup | X | MsgBox Builder | MsgBox Builder
Y | Mass Property Updater | Mass Property Updater | H | Hot Key Setup | Hot Key Setup


Limited Warranty

TurboVB Limited Warranty TurboVB Limited Warranty

License Agreement

You should carefully read the following terms and conditions before using TurboVB. Your use of TurboVB indicates your acceptance of this license agreement and warranty.

Governing Law

This agreement shall be governed by the laws of the United Kingdom.

Disclaimer of Warranty

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OF MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. Because of the various hardware and software environments that TurboVB could be used on, NO WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE IS OFFERED.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. The user must assume the ENTIRE RISK of using the program. NO LIABILITY IS ACCEPTED.

Evaluation and Registration

This is not free software. You are hereby licensed to use this software for evaluation purposes on any machine within a site without charge for 31 days. After 31 days you should purchase TurboVB or remove TurboVB from your system/site.

Distribution

Provided that you verify that you are distributing the trialware Version (31 days Use limit) you are hereby licensed to make as many copies of the software and documentation as you wish; give exact copies of the original trialware version to anyone; and distribute the trialware version of the software and documentation in its unmodified form via any means.


Custom Error Handlers

Custom Error Handlers Custom Error Handlers

Custom Error Handlers allows you to create your own error handlers to suit your own requirements. The error handlers created are used by the Procedure Builder, Auto Coder, Proc. Recoder and Control Coder add-ins. There is a limit of twelve custom error handlers.

Custom Error Creation

Custom Error Creation

To create a new error handler enter the name for it and click 'Add'. The name is then inserted into the 'Errors' DropDown and focus set to the 'Handler Code' TextBox. Enter the code for the error handler. If necessary you can add 'Standard Elements' to the code these are listed and described below: -

  • <Procedure Name> - Will be replaced by the name of the current procedure
  • <Module Name> - Will be replaced by the name of the current module or a constant
  • <Project Name> - Will be replaced by the name of the current project
  • <UserName> - Replaced by the current username or by the setting in General Options
  • <Date> - The date, in the format defined in General Options
  • <Time> - The time in the format 'HH:MM'

When 'Module Name' is used what is actually written out to the module depends on the modules type. If it's a form or class then the code

TypeName(Me)

is used. This will return the name of module at runtime, using this method means that the error handler doesn't have to be updated to reflect any changes in the modules name. If the module is a standard module the constant

VB_MODULE_NAME

is used. If the constant hasn't been created yet then it's created, for example

Private Const VB_MODULE_NAME = ".modSortRoutines" '* Used in Error Handling

, is written to the General Declarations area of the module. If the name of the module is subsequently changed then only one location needs to be updated in code.

To add a standard element, position the cursor where you want it and click the 'Insert' CommandButton.

When you have finished click the 'Save' CommandButton to store the error handler to the registry. The 'Clear' CommandButton clears the code.

To remove error handlers no longer required select the error in the errors DropDown and click the 'Delete' CommandButton.

When new error handlers are created they will be available immediately in the Procedure Builder, Auto Coder and Control Coder add-ins. However, they will be available in the Proc. Recoder add-in when either you next open VB or reload the add-in suite from the Add-in Manager

Custom Error Handlers is available for display in the menu and/or toolbar.

A Custom Error in Proc Recoder

A Custom Error in Proc Recoder.


Show Error Form

Show Form Show Error Form

The 'Show' form is a VB form that has been supplied with TurboVB and is used by it. It's used to simply show any errors that have occurred. The add-ins that use error handlers all reference this form i.e. Procedure Builder, Proc. Recoder, Auto Coder and Control Coder.

To call the form from a procedure select 'Show' as the selected error handler, after adding the form to the project. In General Options you can select to automatically add the form to new projects.

A Runtime Error

A Runtime Error

Note: The VB Form is located in 'install location\Show Form\VBError.frm & .frx.'


Updating TurboVB

Updating TurboVB Updating TurboVB

To make updating TurboVB an easy task you can use a small utility supplied with the main download, Register.exe. Run the file, now two additional items will appear in the right click menu of Dll and OCX files in the explorer window, 'Register Component' and 'UnRegister Component'.

You don't have to use the utility. The following gives the instructions for updating TurboVB with and without Register.exe.

Updating TurboVB to a newer version

With utility

1. | Close VB if it's open.
2. | A typical path is c:\Program Files\TurboVB\TurboVB.Dll. Right click on the .Dll file
3. | Select 'UnRegister Component'
4. | Delete the .Dll File.
5. | Extract the new .Dll file to the same location.
6. | Right click on the file and select 'Register Component'

Without utility

1. | Close VB if it's open.
2. | Unregister the existing DLL by running Regsvr32 with the /U flag.
3. | Run the command 'Regsvr32 /u c:\Program Files\TurboVB\TurboVB.dll' in a cmd window. This is a typical path, change it to yours if different.
4. | Delete the .Dll File.
5. | Extract the new .Dll file to the same location.
6. | Run Regsvr32 in the cmd window again to register the file, 'Regsvr32 c:\Program Files\TurboVB\TurboVB.dll'.


Contact Us

Bug Report Contact Us

We are dedicated to providing tools that enable you to get large productivity gains in your programming. Turbo Developer Ltd was formed in 2003 and is located in Wales which is part of the UK.

General: | info@turbodeveloper.com
Sales: | sales@turbodeveloper.com
Support: | support@turbodeveloper.com
TurboVBLite: | turbovblite@turbodeveloper.com
TurboVB Mini Apps: | miniapps@turbodeveloper.com

Address: | 1 Heol Pen-y-Cae | Tel No.: | 01792 527923
 | Gorseinon
 | Swansea
 | UK


Auto Access Keys Options

Auto Access Keys Auto Access Keys Options

Auto Access Keys Options allows you to setup the standard access keys that will be used in Auto Access Keys.

Setting the Standard Access Keys

Setting the Standard Access Keys

To enable 'Standard Access Keys' ensure 'Apply Standard Access Keys' is set to checked. Then enter the combinations of captions and access keys that you require. When a combination has been entered say caption - 'Exit' and access key 'x' click 'Update' to put the new standard into the ListView. To remove all current access keys click the 'Clear' CommandButton.

Save them permanently by clicking 'Save'.


Auto Coder Options

Auto Coder Options Auto Coder Options

Used to define the initial setup of Auto Coder.

Options for Auto Coder

Options for Auto Coder

First you can select the default error, you can select a Custom Error created in Custom Error Handlers if you want.

The next options control the default settings for the CheckBoxes on Auto Coder. If 'Update Headers' is selected then any existing procedure headers will be updated, if its not checked then only procedures without headers will have them added.


Auto Documentor Options

Auto Documentor Options Auto Documentor Options

Auto Documentor Options has two purposes. First to define a few general configuration settings and second to define the templates used in the HTML that Auto Documentor produces.

General setup of an HTML Help File

General setup of an HTML Help File

On the General tab the most important option is the location for the HTML Help Compiler (hhc.exe). If this setting is not correct Auto Documentor will not work. Note: the path above is the default install path.

The rest of the options control the general setup of a help file.

'Include Source Code' controls whether code is included for each module, procedure etc. This can add considerably to the size of a help file. If 'Only Public Members' is checked then only Public scope elements will be included. When 'Include Stats Page' is selected a page is included that has statistics on the project, for a large project this can be time intensive. To get feedback on the process of producing the help file select 'Show Progress'. A Progress Bar and label indicating the stage of compilation will be displayed.

In an Overview page links are available to all possible elements of a VB module, for example Enums, Constants and UDTS. However many modules won't contain these elements. If 'Remove Empty Tables' is selected then those elements that point to an empty table will be removed. For other modules there may be many instances of particular elements, typically Procedures. To sort and therefore make the job of finding a particular Procedure an easier task select the 'Sort Tables' option.

For a project under active development you may wish to make a new build of the help file on a nightly or weekly basis so that the most update version is being described. If there are modules you don't want to form part of the help file select 'Remember Selections'. Then each time you open Auto Documentor the selections will be as you set them the last time you opened the project.

The 'Overview Default Selections' controls the settings on the Overview pages. At the top of each Overview page are links to each of the VB 'elements' in the module, for example, Procedures & Properties etc. If a particular element is checked then by default that VB element is selected for display automatically in the Overview.

Viewing the template for the description page

Viewing the template for the description page

On the second tab the templates that are used to produce the HTML files are maintained. The DropDown at the top left contains each of the template types available. These are listed below: -

  • Description
  • References
  • Stats
  • Overview
  • Procedures
  • Properties
  • Events
  • UDTS
  • Enums

When a template is selected then the current HTML for that type is loaded.

The DropDown on the lower left is loaded with the 'Standard Elements' for that template type. It is these items that will be replaced during the HTML creation process. For example, {MODULENAME} will be replaced by 'modRegFunctions' if that is the name of the module.

Click 'Add' to add an item to the HTML template. 'Update' will save any changes permanently and 'Clear' removes all the HTML.

TurboVB is supplied with a sample template for each type. Please feel free to modify the templates so that they more closely match your requirements. You can download the supplied templates from Supplied Templates (7K) at any time.

The Template files and 'Standard Elements' are described in more depth in Auto Documentor Templates.

Note: If Auto Documentor encounters an error then a custom error dialog is displayed. This dialog may contain the code of your procedure/module where the error occurred if Auto Documentor was processing it at the time. In order for us to fix any bugs we will need this code. TurboVB will only use the code for bug fixing, it will not be given or show to anyone else and will be permanently deleted when the bug is fixed. Please feel free to reduce the code to the minimum that still produces the error.

Note: The Microsoft HTML Help Workshop (HtmlHelp.exe) which contains the HTML Help Compiler (hhc.exe) is available for download from Microsoft HTML Help Work Downloads. This will install the workshop so that you can create your own HTML help files. The compiler component will not be installed if a newer version is already on the machine.


Auto Documentor Templates

Auto Documentor Templates Auto Documentor Templates

The templates define the appearance of the compiled HTML help file that Auto Documentor generates.

Overview Template

Files

The 'CHM.hhp' file is the project file for the HTML file. The main object affecting the appearance of the compiled help file is the CSS style sheet file 'Styles.css' located in the Templates folder off the TurboVB install folder. Modify this file to change colours or fonts etc. There are also settings within each of the ten template types. Various settings in the 'General' tab of Auto Documentor Options will also affect the appearance of the help file.

Standard Elements

The 'Standard Elements' are replaced with the required text at help file generation. For example in the Statistics page the elements '{StatsFormCount}' and '{StatsCodeLinesCount}' would be replaced by '5' and '5342', if they were the counts for that particular project.

The elements for the Description, References, Stats and Overview types are listed and described below: -

{Name} | Project Name
{Description} | Description
{Type} | Type
{HelpFile} | Path to Help file
{MajorVer} | Major Version
{MinorVer} | Minor Version
{RevisionVer} | Revision Version
{CompatibleMode} | Version Compatibility Type
{CompatibleEXE32} | Path to File used

Description

{References} | Start of collection of references
{/References} | End of collection of references
{ReferencesFilename} | Reference Filename
{ReferencesVersion} | Version
{ReferencesDescription} | Description
References

{ProjectName} | Project Name
{StatsFormCount} | Form Count
{StatsStandardModuleCount} | Module Count
{StatsClassModuleCount} | Class Count
{StatsUserControlCount} | User Control Count
{StatsPropertyPageCount} | Property Page Count
{StatsProceduresCount} | Procedures Count
{StatsConstsCount} | Constants Count
{StatsEventsCount} | Events Count
{StatsPropertiesCount} | Properties Count
{StatsModuleVariablesCount} | Module Variables Count
{StatsDeclarationLinesCount} | Declaration Lines Count
{StatsCommentLinesCount} | Comment Lines Count
{StatsCodeLinesCount} | Code Lines Count
{StatsBlankLinesCount} | Blank Lines Count
Stats

{ModuleName} | Name of the Module
{Procedures} | Start of collection of procedures
{/Procedures} | End of collection of procedures
{ProceduresName} | Name
{ProceduresScope} | Scope
{ProceduresType} | Sub or Function
{ProceduresReturn} | If function return type
{Properties} | Start of collection of properties
{/Properties} | End of collection of properties
{PropertiesName} | Name
{PropertiesScope} | Scope
{PropertiesDefinition} | For example 'Get/Let'
{ModuleVariables} | Start of collection of module variables
{/ModuleVariables} | End of collection of module variables
{ModuleVariablesName} | Name
{ModuleVariablesScope} | Scope
{ModuleVariablesType} | Type
{SourceCode} | The code for the module
{Constants} | Start of collection of constants
{/Constants} | End of collection of constants
{ConstantsName} | Name
{ConstantsScope} | Scope
{ConstantsValue} | Value
{Enums} | Start of collection of enums
{/Enums} | End of collection of enums
{EnumsName} | Name
{EnumsScope} | Scope
{UDTs} | Start of collection of UDTs
{/UDTs} | End of collection of UDTs
{UDTsName} | Name
{UDTsScope} | Scope
{Events} | Start of collection of events
{/Events} | End of collection of events
{EventsName} | Name
{DefaultSelections} | Used in the Default Selections options
{RemoveTables} | Used by the Remove Tables option

Overview

The 'Collection' types referenced in the OverView type are used in a loop so that all Procedures etc. are written out to the HTML file. The HTML used between the Start and End Elements will be repeated for each instance. The 'Standard Elements' used in the other types are very similiar to those described above.


Auto Enums Options

Auto Enums Auto Enums Options

Two options to control the Auto Enums add-in.

Auto Enums Options

Auto Enums Options

The first option is whether all members are automatically selected in the ListView. The second is whether the cursor is placed at the first case statement ready for you to complete the Select statements coding.


Code Maintenance Options

Code Maintenance Options Code Maintenance Options

Code Maintenance Options sets which options are selected for each of the targets in Code Maintenance.

Setting the Options

Setting the Options

First set the default target, either Module or Project. Then set the default options for the selected target. You can also select to show a ProgressBar.


Control Coder Options

Control Coder Control Coder Options

Controls some defaults on the Control Coder add-in.

Control Coder Options

Control Coder Options

'Error handler' is the default error handler. 'Confirm Header' and 'Confirm Code' controls the default value of their corresponding CheckBoxes.


DB Class Generator Options

DB Class Generator Options DB Class Generator Options

Used to define the initial setup of DB Class Generator and some of its options.

DB Class Generator Options

The first options are the default Username and Password used in DB Class Generator. Then the timeouts for the ADO Connection and Command objects.

If 'Remove Dash' is selected then any dash characters found in column names are removed from the property name in the VB class. 'Next Char. Upper' controls whether the next character after 'cls' is made upper case automatically. 'Create Defaults' controls whether any defaults are created. 'Create Collection' controls the default value of the 'Create Collection' CheckBox, if selected a collection for the class will be created. When 'Use Error Handling' is selected Err.Raise is added to the properties in the class.


DB Data Scripter Options

DB Data Scripter Options DB Data Scripter Options

Defines the default setup for DB Data Scripter.

Options for DB Scripter

Options for DB Scripter

The 'Username' and 'Password' allow access to the database. The timeouts for the ADO Connection and Command objects are next.

The 'Filename' is the path to the .SQL file that will be used to hold the DELETE and INSERT statements. 'Clear Down' controls whether all tables or just the script tables will be cleared down in the SQL script.


List My Callers Options

List My Callers Options List My Callers Options

Controls the List My Callers add-in.

Options

'Called From - Max. Width' defines the maximum number of characters to place on a 'Called From' line in a procedure header. For commonly called procedures this can be very long. If 'Use Module Declarations' is selected then List My Callers will take forms and classes declared with module scope into account.


Order Form

Registration Form for TurboVB

Program-ID : 158683

Last Name:

_______________________________________

First Name:

_______________________________________

Company:

_______________________________________

Address:

_______________________________________

_______________________________________

_______________________________________

_______________________________________

Postal Code and City:

_______________________________________

Country:

_______________________________________

Phone:

_______________________________________

Fax:

_______________________________________

E-Mail:

_______________________________________

How would you like to receive the registration key

e-mail - fax - postal mail

How would you like to pay:

credit card - wire transfer - check - cash

Credit Card Information (if applicable)

Credit Cards: Visa - Eurocard/Mastercard - American Express - Diners Club

Card Holder: ________________________________

Card No.: ___________________________________

Expiration Date: ________

Date / Signature: ___________________________


Procedure Builder Options

Procedure Builder Options Procedure Builder Options

Here you set the defaults that apply to the Procedure Builder add-in.

Options for Procedure Builder

Options for Procedure Builder

Most of the settings are self-explanatory. 'Scope' is whether the procedure is Private or Public. 'Procedure Type' is Sub or Function. 'Function Return Type' is the return type when a function is specified.

'Error Handler' can be either a standard error handler or a custom one created via Custom Error Handlers. If required default settings for each of the three parameters can be specified, 'Name', 'Passing Type' - ByVal or ByRef, 'Type' and 'Optional'.

The 'Include Custom Classes of Project(s)' CheckBox, will add the classes you have created within your project or project group to the Return 'Type' and parameter 'Type' DropDowns. If you select 'Move Cursor to Procedure' the cursor will be moved to the procedure when it's created.

For maximum flexibility different sets of defaults can be specified for different projects or it can be for 'Any Project'. To specify defaults for a particular project select it in the Project DropDown. When you save your changes they will apply to that project only. If a project hasn't got defaults then those for 'Any Project' will be used, to specify them simply select 'Any Project' in the DropDown. To remove the defaults for a project click the 'Clear' CommandButton.

To make this a convenient process you can setup a project based on the defaults already setup for another project. To do this select the project you want to use in the 'Set Proj. As' DropDown and click 'Setup'.


Project Backup Settings

Project Backup Setup Project Backup Setup

Before a Project Backup zip file can be created you need to create the configuration for the project.

Setup for Project Backup

Setup for Project Backup

The configuration is saved against the current project.

First, specify whether the project group, if any, is to be included, if it is then any subsequent settings apply to all the projects in the group. To have subfolders from the project folder included select 'Include All Subfolders'. 'Include Other Files in folder' controls if files in the projects folder are included, i.e. icons or the .scc files in the projects folder would be included in the zip.

If 'Store Path' is included then the path to each file is set in the zip file. If 'Show Progress' is selected then a progress bar indicating progress will be displayed. 'Compress Level' controls the level of compression used in the zip. This includes the option, 'None', which enables quick zip creation if many files are to be backed up on a regular basis.

Next, set the name to be used for the zip file, if 'Use Default Name' is selected then the projects name will be used, if not then a name is required. You have two options for the location for the zip. If you want to keep a backup for each day of the week select 'Use Different Location on Different Days' and provide a path for each day required. To have a single backup location uncheck the option and enter the path.

Note: Whatever the settings any existing zip files are automatically overwritten.


Property Builder Options

Property Builder Options Property Builder Options

Allows you to setup the options for Property Builder.

Settings for Property Builder

Settings for Property Builder

'Scope' is Public or Private. 'Returns' is the type of the property. If 'Use Error Handling' is selected then

Err.Raise

is used within any property procedure created.

The 'Include Custom Classes of Project(s)' CheckBox controls whether additional types defined within the project or project group are displayed within the 'Return Type' ComboBox. If not, it's just the standard types.

For maximum flexibility different sets of defaults can be specified for different projects or it can be for 'Any Project'. To specify defaults for a particular project select it in the Project DropDown. When you save your changes they will apply to that project only. If a project hasn't got defaults then those for 'Any Project' will be used, to specify them select 'Any Project' in the DropDown. To remove the defaults for a project click the 'Clear' CommandButton.

To make this a convenient process you can setup a project based on your defaults already setup for another project. To do this select the project you want to use in the 'Set Proj. As' DropDown and click 'Setup'.


Search Options

Search Options Search Options

Controls the initial setup of the Search add-in.

Options for Search

Options for Search

The choices in the 'Default Scope' DropDown are listed below: -

  • Current Module
  • Project
  • Project Group

'Pattern Search' controls the setting for the 'Pattern Search' CheckBox on the Search add-in. If 'Find Whole Word Only' is checked then only matches with the whole word are returned. 'Match Case' controls whether search results must have the same case to be a match. Select 'Ignore Matches in Comments' to ensure that only matches in actual code lines are returned. Use 'Left Trim Results' to force a left trim of the matching search results. Regular expression searches are controlled by the 'Regular Exp.' CheckBox. If checked limited regular expression searching is supported.

'Include Other Lines' controls what additional lines are displayed in the Search grid when matches are found, you can have lines from above and/or below the line with the search match. You can also select to limit the maximum number of results returned, with a default of one hundred matches.


SQL Formatter Options

SQL Formatter Options SQL Formatter Options

Defines the setup for SQL Formatter.

Setup for SQL Formatter

Setup for SQL Formatter

'Variable Name' is the name of the variable used to store the SQL statement. 'Line Length' the maximum width of any one line. 'Double Quotes' controls if any double quote characters are converted to single quote characters. If the option 'Use Line Continuation' is selected then the SQL consists of one line broken up with line continuations. 'Declare Variable' controls if a variable is used. If 'Left Align SQL Statements' is selected then the keywords 'WHERE' and 'FROM' are always left aligned in the formatted SQL Statement.

For both table names and reserved words you can select various capitalisation styles. The options are 'None', 'Uppercase', Lowercase' and 'Initial Caps.'. When 'Initial Caps.' is used with table names you select which character to use, for reserved words it's fixed with the first character. '


Tab Controller Options

Tab Controller Options Tab Controller Options

Controls the way the tab order is pasted when writing out the tab order to the clipboard.

Tab Controller Options

Tab Controller Options

Either use the controls position in the TreeView or the current value of the TabIndex properties in the form.


Word Complete Options

Word Complete Options Word Complete Options

Simply controls whether the properties of forms are displayed in the 'Standard Elements' DropDown in Word Complete Setup.

Options